%define _requires_exceptions /usr/bin/irssi
Name:           drakcowsay
Version:        0.7
Release:        %mkrel 8
Summary:        Graphical interface for cowsay
License:        GPLv2+
Group:          Toys
URL:            https://wiki.mageia.org/en/Drakcowsay
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  xchat-devel

Requires:       drakxtools
Requires:       cowsay

%description
Drakcowsay is a graphical interface for cowsay.
Its target audience is those not yet familiar with the tough command line,
thus making cowsay rendering as easy as if you were a true l33t.

This package also includes drakcowthink, a graphical interface to cowthink.


%package -n xchat-%{name}
Group:          System/Libraries
Summary:        Xchat plugin for Drakcowsay
Requires:       xchat

%description -n xchat-%{name}
Xchat-Drakcowsay is a plugin for xchat to cowsay in your current IRC window.


%package -n irssi-%{name}
Group:          System/Libraries
Summary:        Irssi plugin for Drakcowsay
Requires:       irssi

%description -n irssi-%{name}
Irssi-Drakcowsay is a plugin for irssi to cowsay in your current IRC window.


%prep
%setup -q

%build
gcc -Wl,--as-needed -Wl,-z,relro -Wl,-O1 -Wl,--build-id -Wl,--enable-new-dtags -Wl,--export-dynamic -Wall -O1 -shared -fPIC -I. xchat-%{name}.c -o xchat-%{name}.so

%install
install -m755 -D %{name} %{buildroot}%{_bindir}/%{name}
ln -s %{name} %{buildroot}%{_bindir}/drakcowthink
install -m755 -D xchat-%{name}.so %{buildroot}%{_libdir}/xchat/plugins/xchat-%{name}.so
install -m755 -D irssi-%{name}.pl %{buildroot}%{_datadir}/irssi/scripts/irssi-%{name}.pl

%files
%{_bindir}/%{name}
%{_bindir}/drakcowthink

%files -n xchat-%{name}
%{_libdir}/xchat/plugins/xchat-%{name}.so

%files -n irssi-%{name}
%{_datadir}/irssi/scripts/irssi-%{name}.pl



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.7-8.mga3
+ Revision: 349085
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 30 2011 kamil <kamil> 0.7-7.mga2
+ Revision: 174344
- use new URL (mga #3035)
- clean spec
- fix build flags for the xchat-plugin

* Wed Mar 16 2011 mikala <mikala> 0.7-6.mga1
+ Revision: 72637
- add _requires_exceptions /usr/bin/irssi (so irssi-drakcowsay can be installed)
- Remove Buildroot

* Mon Mar 07 2011 boklm <boklm> 0.7-5.mga1
+ Revision: 66215
- imported package drakcowsay

